## virtualbox 7.1.12

=== src/apps/svnsync-vbox/Makefile ===
# $Id: Makefile $
## @file
# Makefile
#

#
# Copyright (C) 2006-2024 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

CC = gcc
CFLAGS = -O2 -g -Wall -pedantic -Wno-long-long -Wno-trigraphs \
  -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
DEFS = -DVBOX -D_FILE_OFFSET_BITS=64
INCS = -I. -I/usr/include/subversion-1 -I/usr/include/apr-1.0
LIBS = -lsvn_ra-1 -lsvn_ra_local-1 \
  -lsvn_repos-1 -lsvn_fs-1 -lsvn_delta-1 \
  -lsvn_subr-1 -lapr-1 -laprutil-1 \
  -ldb

all: svnsync-vbox

svnsync-vbox: main.c
	$(CC) $(CFLAGS) $(DEFS) $(INCS) $(LIBS) -o $@ $<

svnsync-vbox: svn_private_config.h

svnsync-vbox: Makefile

=== src/libs/libslirp-4.8.0/meson_options.txt ===
option('version_suffix', type: 'string', value: '',
       description: 'Suffix to append to SLIRP_VERSION_STRING')

option('oss-fuzz', type : 'boolean', value : 'false',
       description : 'build against oss-fuzz')

option('llvm-fuzz', type : 'boolean', value : 'false',
       description : 'build against LLVM libFuzzer')

option('fuzz-reproduce', type : 'boolean', value : 'false',
       description : 'build a standalone executable to reproduce fuzz cases')

option('static', type : 'boolean', value : 'false',
       description : 'build static binary, only for debugging, otherwise rather use --default-library static')

=== src/VBox/HostDrivers/Support/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host Driver.
#

#
# Copyright (C) 2006-2024 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXDRV_DIR := $(VBOX_MODULE_SRC_DIR)

VBOXMOD_NAME = vboxdrv
VBOXMOD_OBJS = \
	linux/SUPDrv-linux.o \
	SUPDrv.o \
	SUPDrvGip.o \
	SUPDrvSem.o \
	SUPDrvTracer.o \
	SUPLibAll.o \
	common/string/strformatrt.o

ifndef VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	combined-agnostic1.o \
	combined-agnostic2.o \
	combined-os-specific.o
else  # VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/rtStrFormatKernelAddress-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/threadctxhooks-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/checksum/crc32.o \
	common/checksum/ipv4.o \
	common/checksum/ipv6.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/log/RTLogCreateEx.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/handletable.o \
	common/misc/handletablectx.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrEnd.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/RTStrFormat.o \
	common/string/strformatnum.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strprintf-ellipsis.o \
	common/string/strprintf2.o \
	common/string/strprintf2-ellipsis.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTLogWriteUser-generic.o \
	generic/RTMpGetArraySize-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/RTTimerCreate-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	generic/uuid-generic.o \
	VBox/log-vbox.o \
	VBox/RTLogWriteVmm-amd64-x86.o
 ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
 endif
endif # VBOX_WITHOUT_COMBINED_SOURCES
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/divmoddi4.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_OBJS += SUPDrvDTrace.o
endif

VBOXMOD_INCL  = \
	$(VBOXDRV_DIR) \
	$(VBOXDRV_DIR)include \
	$(VBOXDRV_DIR)r0drv/linux
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_INCL += \
	/usr/include/linux \
	/usr/include
endif

VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING \
	SUPDRV_WITH_RELEASE_LOGGER \
	VBOX_WITHOUT_EFLAGS_AC_SET_IN_VBOXDRV \
	IPRT_WITHOUT_EFLAGS_AC_PRESERVING \
	VBOX_WITH_64_BITS_GUESTS # <-- must be consistent with Config.kmk!
ifndef CONFIG_VBOXDRV_FIXEDMAJOR
VBOXMOD_DEFS += CONFIG_VBOXDRV_AS_MISC
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_DEFS += VBOX_WITH_NATIVE_DTRACE
endif
ifdef VBOX_WITH_TEXT_MODMEM_HACK
VBOXMOD_DEFS += RTMEMALLOC_EXEC_HEAP VBOX_WITH_TEXT_MODMEM_HACK
endif
VBOXMOD_CFLAGS = -include $(VBOXDRV_DIR)include/VBox/SUPDrvMangling.h \
	-fno-omit-frame-pointer -fno-pie -Wno-declaration-after-statement


include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_0_TARGET)
	@if ! readelf -p __ksymtab_strings vboxdrv.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

=== src/VBox/Additions/common/VBoxGuest/freebsd/Makefile ===
# $Id: Makefile $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2024 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#
KMOD = vboxguest

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBGL_VBOXGUEST -DVBOX_WITH_HGCM -DVBOX_WITH_64_BITS_GUESTS

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	VBoxGuest.c \
	VBoxGuest-freebsd.c \
	VBoxGuestR0LibGenericRequest.c \
	VBoxGuestR0LibHGCMInternal.c \
	VBoxGuestR0LibInit.c \
	VBoxGuestR0LibPhysHeap.c \
	VBoxGuestR0LibVMMDev.c

# Include needed interface headers so they are created during build
SRCS += \
	device_if.h \
	bus_if.h \
	pci_if.h \

.PATH:	${.CURDIR}/alloc
SRCS += \
	heapsimple.c

.PATH:	${.CURDIR}/common/err
SRCS += \
	RTErrConvertFromErrno.c \
	RTErrConvertToErrno.c \
	errinfo.c

.PATH:	${.CURDIR}/common/log
SRCS += \
	log.c \
	logellipsis.c \
	logrel.c \
	logrelellipsis.c \
	logcom.c \
	logformat.c \
	RTLogCreateEx.c

.PATH:	${.CURDIR}/common/misc
SRCS += \
	RTAssertMsg1Weak.c \
	RTAssertMsg2.c \
	RTAssertMsg2Add.c \
	RTAssertMsg2AddWeak.c \
	RTAssertMsg2AddWeakV.c \
	RTAssertMsg2Weak.c \
	RTAssertMsg2WeakV.c \
	assert.c \
	handletable.c \
	handletablectx.c \
	once.c \
	thread.c

.PATH:	${.CURDIR}/common/string
SRCS += \
	RTStrCat.c \
	RTStrCmp.c \
	RTStrCopy.c \
	RTStrCopyEx.c \
	RTStrCopyP.c \
	RTStrEnd.c \
	RTStrICmpAscii.c \
	RTStrNICmpAscii.c \
	RTStrNCmp.c \
	RTStrNLen.c \
	stringalloc.c \
	strformat.c \
	RTStrFormat.c \
	strformatnum.c \
	strformatrt.c \
	strformattype.c \
	strprintf.c \
	strprintf-ellipsis.c \
	strprintf2.c \
	strprintf2-ellipsis.c \
	strtonum.c \
	memchr.c \
	utf-8.c

.PATH:	${.CURDIR}/common/rand
SRCS += \
	rand.c \
	randadv.c \
	randparkmiller.c

.PATH:	${.CURDIR}/common/path
SRCS += \
	RTPathStripFilename.c

.PATH:	${.CURDIR}/common/checksum
SRCS += \
	crc32.c \
	ipv4.c

.PATH:	${.CURDIR}/common/table
SRCS += \
	avlpv.c

.PATH:	${.CURDIR}/common/time
SRCS += \
	time.c

.PATH:	${.CURDIR}/generic
SRCS += \
	uuid-generic.c \
	RTAssertShouldPanic-generic.c \
	RTLogWriteDebugger-generic.c \
	RTLogWriteStdOut-stub-generic.c \
	RTLogWriteStdErr-stub-generic.c \
	RTRandAdvCreateSystemFaster-generic.c \
	RTRandAdvCreateSystemTruer-generic.c \
	RTSemEventWait-2-ex-generic.c \
	RTSemEventWaitNoResume-2-ex-generic.c \
	RTSemEventMultiWait-2-ex-generic.c \
	RTSemEventMultiWaitNoResume-2-ex-generic.c \
	RTTimerCreate-generic.c \
	rtStrFormatKernelAddress-generic.c \
	timer-generic.c \
	errvars-generic.c \
	mppresent-generic.c

.PATH:	${.CURDIR}/r0drv
SRCS += \
	alloc-r0drv.c \
	initterm-r0drv.c \
	memobj-r0drv.c \
	powernotification-r0drv.c

.PATH:	${.CURDIR}/r0drv/freebsd
SRCS += \
	assert-r0drv-freebsd.c \
	alloc-r0drv-freebsd.c \
	initterm-r0drv-freebsd.c \
	memobj-r0drv-freebsd.c \
	memuserkernel-r0drv-freebsd.c \
	mp-r0drv-freebsd.c \
	process-r0drv-freebsd.c \
	semevent-r0drv-freebsd.c \
	semeventmulti-r0drv-freebsd.c \
	semfastmutex-r0drv-freebsd.c \
	semmutex-r0drv-freebsd.c \
	spinlock-r0drv-freebsd.c \
	thread-r0drv-freebsd.c \
	thread2-r0drv-freebsd.c \
	time-r0drv-freebsd.c

.PATH:	${.CURDIR}/r0drv/generic
SRCS += \
	semspinmutex-r0drv-generic.c \
	mpnotification-r0drv-generic.c \
	RTMpIsCpuWorkPending-r0drv-generic.c

.PATH:	${.CURDIR}/VBox
SRCS += \
	log-vbox.c \
	logbackdoor.c \
	RTLogWriteVmm-amd64-x86.

.include <bsd.kmod.mk>

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Id: Makefile $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2024 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXGUEST_DIR = $(VBOX_MODULE_SRC_DIR)

#VBOX_WITHOUT_COMBINED_SOURCES=1

VBOXMOD_NAME = vboxguest
VBOXMOD_OBJS = \
	VBoxGuest-linux.o \
	VBoxGuest-common.o
ifndef VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	common/string/strformatrt.o \
	combined-agnostic.o \
	combined-os-specific.o
else  # VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	VBoxGuestR0LibGenericRequest.o \
	VBoxGuestR0LibHGCMInternal.o \
	VBoxGuestR0LibInit.o \
	VBoxGuestR0LibPhysHeap.o \
	VBoxGuestR0LibVMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/checksum/crc32.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/log/RTLogCreateEx.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCmp.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrEnd.o \
	common/string/RTStrICmpAscii.o \
	common/string/RTStrNICmpAscii.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/RTStrFormat.o \
	common/string/strformatnum.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strprintf-ellipsis.o \
	common/string/strprintf2.o \
	common/string/strprintf2-ellipsis.o \
	common/string/strtonum.o \
	common/string/utf-8.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/rtStrFormatKernelAddress-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o \
	VBox/RTLogWriteVmm-amd64-x86.o
 ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
 endif
endif # VBOX_WITHOUT_COMBINED_SOURCES
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/divmoddi4.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/udivmoddi4.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif

VBOXMOD_DEFS = \
	VBOX \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_GUEST \
	IN_GUEST_R0 \
	IN_MODULE \
	RT_WITH_VBOX \
	VBGL_VBOXGUEST \
	VBOX_WITH_HGCM
ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_DEFS += VBOX_WITH_64_BITS_GUESTS
else ifeq ($(VBOX_KBUILD_TARGET_ARCH),arm64)
VBOXMOD_DEFS += VBOX_WITH_64_BITS_GUESTS
endif
ifeq ($(KERN_VERSION),24)
VBOXMOD_DEFS += EXPORT_SYMTAB
endif

VBOXMOD_INCL = \
	$(VBOXGUEST_DIR) \
	$(VBOXGUEST_DIR)include \
	$(VBOXGUEST_DIR)r0drv/linux

VBOXMOD_CFLAGS := $(call VBOX_GCC_CHECK_CC,-Wno-declaration-after-statement,-Wno-declaration-after-statement,,)
VBOXMOD_CFLAGS += $(call VBOX_GCC_CHECK_CC,-fno-pie,-fno-pie,,)
ifneq ($(KERN_VERSION),24)
VBOXMOD_CFLAGS += -include $(VBOXGUEST_DIR)include/VBox/VBoxGuestMangling.h
endif

VBOXMOD_CLEAN = \
	. \
	linux \
	r0drv \
	generic \
	r0drv/linux \
	r0drv/generic \
	VBox \
	common/alloc \
	common/err \
	common/log \
	common/math/gcc \
	common/misc \
	common/string \
	common/table \
	common/time

include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/Python/Makefile ===
## @file
# Windows makefile for Python tools build.
#
# Copyright (c) 2010 - 2018, Intel Corporation. All rights reserved.<BR>
# SPDX-License-Identifier: BSD-2-Clause-Patent
#

all:

clean:
cleanall:
  @del /f /q $(BASE_TOOLS_PATH)\Source\Python\*.pyc

=== src/VBox/ExtPacks/VBoxDTrace/onnv/cmd/dtrace/test/cmd/Makefile ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"%Z%%M%	%I%	%E% SMI"

include $(SRC)/Makefile.master

SUBDIRS = scripts baddof badioctl chkargs jdtrace
include ../Makefile.subdirs

=== debian/changelog ===
virtualbox (7.1.12-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.1.12 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 14:50:43 +0200

virtualbox (7.1.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.1.6 release
  * Add the python3.13 patch file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 26 Feb 2025 17:38:46 +0100

virtualbox (7.1.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.1.4 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 25 Oct 2024 12:39:16 +0100

virtualbox (7.0.18-2kaisen) kaisen-packages; urgency=medium

  * Rebuild to support Python 3.12.1

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 Jul 2024 10:06:21 +0100

virtualbox (7.0.18-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.18 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 06 May 2024 12:52:52 +0100

virtualbox (7.0.14-2kaisen) kaisen-packages; urgency=medium

  * Add the linux-headers-amd64 and dkms packages as dependancy for virtualbox-dkms
  * Add a version check for virtualbox-ext-pack and virtualbox-guest-additions-iso

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 19 Feb 2024 02:03:05 +0100

virtualbox (7.0.14-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.14 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 15 Feb 2024 09:49:57 +0100

virtualbox (7.0.12-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.12 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Nov 2023 15:42:52 +0100

virtualbox (7.0.10-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.10 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Aug 2023 22:56:13 +0100

virtualbox (7.0.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.6 release
  * Ensure the compatibility with Python 3.11

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Jan 2023 19:36:14 +0100

virtualbox (7.0.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 7.0.4 release
  * Add few patchs to fix the compile failure with javadoc

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Dec 2022 00:00:46 +0100

virtualbox (7.0.2-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 01 Nov 2022 18:49:24 +0100

virtualbox (6.1.38-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 23 Sep 2022 23:38:39 +0100

virtualbox (6.1.36-2kaisen) kaisen-packages; urgency=medium

  * Fixing the virtualbox-dkms package as dependancy to the virtualbox package
  * Fixing dependancies for the virtualbox-qt package
  * Fixing dependancies for the virtualbox package
  * Automatic adding users in the vboxsf and vboxusers group via postinst scripts

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 11 Sep 2022 02:32:51 +0100

virtualbox (6.1.36-1kaisen) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 01 Sep 2022 01:11:33 +0100

virtualbox (6.1.34-1kaisen) kaisen-packages; urgency=medium

  * Import new upstream release with a patch from upstream to fix a empty memset code

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 22 Apr 2022 21:02:43 +0100

virtualbox (6.1.32-5kaisen) kaisen-packages; urgency=medium

  * Rebuild to update python3:Depends

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Apr 2022 01:10:11 +0100

virtualbox (6.1.32-4kaisen) kaisen-packages; urgency=medium

  * Rebuild to update xserver:Depends

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 24 Feb 2022 19:35:37 +0100

virtualbox (6.1.32-3kaisen) kaisen-packages; urgency=medium

  * Remove virtualbox-dkms.postrm
  * Install modules in /etc/modules-load.d/virtualbox.conf with conffile

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 10 Feb 2022 12:00:28 +0100

virtualbox (6.1.32-2kaisen) kaisen-packages; urgency=medium

  * Import Debian upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 31 Jan 2022 00:16:09 +0100

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org> 
Build-Depends: bzip2,
               debhelper-compat (= 13),
               default-jdk,
               jaxws,
               dh-python,
               dh-sequence-dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               glslang-tools,
               gsoap,
               acpica-tools,
               kbuild (>= 1:0.1.9998svn3589~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               liblzf-dev,
               liblzma-dev,
               libidl-dev,
               libogg-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt6opengl6-dev,
               qt6-scxml-dev,
               qt6-tools-dev,
               libsdl1.2-dev,
               libsdl2-dev,
               libssl-dev,
               libtpms-dev,
               libvncserver-dev,
               libvorbis-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm,
	       ant,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://www.virtualbox.org
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/virtualbox
Vcs-Git: https://gitlab.com/kaisenlinux/packages/virtualbox.git
Testsuite: autopkgtest-pkg-dkms

Package: virtualbox-qt
Architecture: amd64
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64
Depends: adduser,
         iproute2,
         procps,
	 virtualbox-qt (= ${binary:Version}),
	 virtualbox-dkms (= ${binary:Version}),
	 virtualbox-source (= ${binary:Version}),
	 virtualbox-ext-pack (>= ${virtualbox-ext-pack:Version}),
	 virtualbox-ext-pack (<< ${virtualbox-ext-pack:nextVersion}),
	 virtualbox-guest-additions-iso (>= ${virtualbox-guest-additions-iso:Version}),
	 virtualbox-guest-additions-iso (<< ${virtualbox-guest-additions-iso:nextVersion}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: vde2
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0,
           virtualbox-5.1,
           virtualbox-5.2,
           virtualbox-6.0,
           virtualbox-6.1,
           virtualbox-7.0,
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: amd64
Depends: ${misc:Depends}, virtualbox (= ${binary:Version}), linux-headers-amd64, dkms
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: amd64
Depends: virtualbox (= ${binary:Version}),
	 build-essential,
         bzip2,
         debhelper-compat (= 13),
         kbuild,
         module-assistant,
         ${misc:Depends}
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Replaces: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Architecture: amd64 arm64
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64
Replaces: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Depends: adduser,
         pciutils,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

Package: virtualbox-guest-x11-hwe
Section: contrib/oldlibs
Architecture: amd64
Depends: virtualbox-guest-x11,
         ${misc:Depends}
Description: transitional package for virtualbox-guest-x11
 This is a transitional package for virtualbox-guest-x11.
 It can safely be removed

Package: virtualbox-guest-utils-hwe
Section: contrib/oldlibs
Architecture: amd64
Depends: virtualbox-guest-utils,
         ${misc:Depends}
Description: transitional package for virtualbox-guest-utils
 This is a transitional package for virtualbox-guest-utils.
 It can safely be removed

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
pdkms:=virtualbox-dkms

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils
uxname:=virtualbox-guest-x11

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

include /usr/share/dpkg/default.mk
VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) |cut -f 1 -d "-")

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-docs \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) $(NJOBS) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE= \
	    VBOX_DITA_OT_PATH=/usr/share/dita-ot \
	    VBOX_DITA_CLASSPATH=/usr/share/dita-ot/lib/ant-launcher.jar

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer/python && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)
endif

	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
endif

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBoxVM;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf -X.qhc -X.qch

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vvirtualbox-ext-pack:Version=$(DEB_VERSION_UPSTREAM)-1kaisen -Vvirtualbox-ext-pack:nextVersion=$(DEB_VERSION_UPSTREAM)-zkaisen -Vvirtualbox-guest-additions-iso:Version=$(DEB_VERSION_UPSTREAM)-1kaisen -Vvirtualbox-guest-additions-iso:nextVersion=$(DEB_VERSION_UPSTREAM)-zkaisen

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(pdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 7.1.12-dfsg

=== debian/changelog ===
virtualbox (7.1.12-dfsg-2) unstable; urgency=medium

  [ Andrea Pappacoda, Mateusz Łukasik ]
  * virtualbox-dkms: fix modprobe.d file (Closes: #1107320)
  * Fix dkms module install path. (Closes: #1105784, Closes: #1107320) 

  [ Gianfranco Costamagna ]
  * Upload to sid and merge two changelog entries together, thanks
    to you both!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Jul 2025 07:26:51 +0200

virtualbox (7.1.12-dfsg-1) unstable; urgency=medium

  * New upstream version 7.1.12-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Jul 2025 17:50:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
-Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org> 
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
+           Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,
                debhelper-compat (= 13),
                default-jdk,
@@ -29,12 +30,12 @@
                libgsoap-dev,
                liblzf-dev,
                liblzma-dev,
-               libidl-dev,
                libogg-dev,
                libpam0g-dev,
                libpixman-1-dev,
                libpng-dev,
                libpulse-dev,
+#               libqt5x11extras5-dev,
                libqt6opengl6-dev,
                qt6-scxml-dev,
                qt6-tools-dev,
@@ -65,6 +66,7 @@
                module-assistant,
                nasm,
                python3-dev,
+               python3-setuptools,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -75,13 +77,12 @@
                xserver-xorg-dev,
                xsltproc,
                yasm,
-	       ant,
                zlib1g-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://www.virtualbox.org
-Vcs-Browser: https://gitlab.com/kaisenlinux/packages/virtualbox
-Vcs-Git: https://gitlab.com/kaisenlinux/packages/virtualbox.git
+Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
+Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
 Testsuite: autopkgtest-pkg-dkms
 
 Package: virtualbox-qt
@@ -100,19 +101,14 @@
 Architecture: amd64
 Depends: adduser,
          iproute2,
+         libfuse2,
          procps,
-	 virtualbox-qt (= ${binary:Version}),
-	 virtualbox-dkms (= ${binary:Version}),
-	 virtualbox-source (= ${binary:Version}),
-	 virtualbox-ext-pack (>= ${virtualbox-ext-pack:Version}),
-	 virtualbox-ext-pack (<< ${virtualbox-ext-pack:nextVersion}),
-	 virtualbox-guest-additions-iso (>= ${virtualbox-guest-additions-iso:Version}),
-	 virtualbox-guest-additions-iso (<< ${virtualbox-guest-additions-iso:nextVersion}),
+         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ${shlibs:Recommends}
-Suggests: vde2
+Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
+Suggests: vde2, virtualbox-guest-additions-iso
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
@@ -129,6 +125,7 @@
            virtualbox-6.0,
            virtualbox-6.1,
            virtualbox-7.0,
+           virtualbox-7.1
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -142,7 +139,8 @@
 Package: virtualbox-dkms
 Section: contrib/kernel
 Architecture: amd64
-Depends: ${misc:Depends}, virtualbox (= ${binary:Version}), linux-headers-amd64, dkms
+Depends: ${misc:Depends}
+Recommends: virtualbox (>= ${source:Version})
 Provides: virtualbox-modules
 Description: x86 virtualization solution - kernel module sources for dkms
  VirtualBox is a free x86 virtualization solution allowing a wide range
@@ -156,13 +154,13 @@
 Package: virtualbox-source
 Section: contrib/kernel
 Architecture: amd64
-Depends: virtualbox (= ${binary:Version}),
-	 build-essential,
+Depends: build-essential,
          bzip2,
          debhelper-compat (= 13),
          kbuild,
          module-assistant,
          ${misc:Depends}
+Recommends: virtualbox (>= ${source:Version})
 Description: x86 virtualization solution - kernel module source
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -180,7 +178,7 @@
 Section: contrib/x11
 Replaces: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
 Breaks: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
-Architecture: amd64 arm64
+Architecture: amd64 i386
 Depends: libnotify-bin,
          x11-xserver-utils,
          virtualbox-guest-utils (= ${binary:Version}),
@@ -199,7 +197,7 @@
  They provide closer integration and improve the interactive performance.
 
 Package: virtualbox-guest-utils
-Architecture: amd64
+Architecture: amd64 i386
 Replaces: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
 Breaks: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
 Depends: adduser,
@@ -222,7 +220,7 @@
 
 Package: virtualbox-guest-x11-hwe
 Section: contrib/oldlibs
-Architecture: amd64
+Architecture: amd64 i386
 Depends: virtualbox-guest-x11,
          ${misc:Depends}
 Description: transitional package for virtualbox-guest-x11
@@ -231,7 +229,7 @@
 
 Package: virtualbox-guest-utils-hwe
 Section: contrib/oldlibs
-Architecture: amd64
+Architecture: amd64 i386
 Depends: virtualbox-guest-utils,
          ${misc:Depends}
 Description: transitional package for virtualbox-guest-utils

## virtualbox 7.1.16-dfsg

=== debian/changelog ===
virtualbox (7.1.16-dfsg-1~tux1) noble; urgency=medium

  * New upstream release.
    Changelog: https://www.virtualbox.org/wiki/Changelog-7.1

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Mon, 23 Feb 2026 12:27:25 +0100

virtualbox (7.1.12-dfsg-1~tux1) noble; urgency=medium

  * New upstream version.
    Changelog: https://www.virtualbox.org/wiki/Changelog-7.1

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 17 Jul 2025 10:17:15 +0200

virtualbox (7.1.10-dfsg-1tux1) noble; urgency=medium

  * New upstream version.
    Changelog: https://www.virtualbox.org/wiki/Changelog-7.1

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 05 Jun 2025 08:43:40 +0200

virtualbox (7.1.8-dfsg-3tux2) noble; urgency=medium

  * fix virtualbox-dkms.install

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 03 Jun 2025 09:02:15 +0200

virtualbox (7.1.8-dfsg-3tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild for TUXEDO.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 27 May 2025 16:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                libgsoap-dev,
                liblzf-dev,
                liblzma-dev,
+               libidl-dev,
                libogg-dev,
                libpam0g-dev,
                libpixman-1-dev,
